Notploy
Endpoint reference

Dns Provider

Dns Provider create

POST
/dnsProvider.create
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

name*string
Match^[a-zA-Z0-9_-]+$
Length1 <= length <= 64
config*||||||||||||||||||||||

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/dnsProvider.create" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "config": {      "providerType": "cloudflare",      "apiToken": "string"    }  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider update

POST
/dnsProvider.update
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

dnsProviderId*string
Length1 <= length
name*string
Match^[a-zA-Z0-9_-]+$
Length1 <= length <= 64
config*||||||||||||||||||||||

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/dnsProvider.update" \  -H "Content-Type: application/json" \  -d '{    "dnsProviderId": "string",    "name": "string",    "config": {      "providerType": "cloudflare",      "apiToken": "string"    }  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider remove

POST
/dnsProvider.remove
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

dnsProviderId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/dnsProvider.remove" \  -H "Content-Type: application/json" \  -d '{    "dnsProviderId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider all

GET
/dnsProvider.all
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/dnsProvider.all"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider one

GET
/dnsProvider.one
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Query Parameters

dnsProviderId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/dnsProvider.one?dnsProviderId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider test Connection

POST
/dnsProvider.testConnection
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

dnsProviderId?string
Length1 <= length
config?||||||||||||||||||||||

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/dnsProvider.testConnection" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider descriptors

GET
/dnsProvider.descriptors
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/dnsProvider.descriptors"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider health

GET
/dnsProvider.health
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Query Parameters

dnsProviderId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/dnsProvider.health?dnsProviderId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider list Zones

GET
/dnsProvider.listZones
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Query Parameters

dnsProviderId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/dnsProvider.listZones?dnsProviderId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider list Records

GET
/dnsProvider.listRecords
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Query Parameters

dnsProviderId*string
Length1 <= length
zoneId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/dnsProvider.listRecords?dnsProviderId=string&zoneId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider create Record

POST
/dnsProvider.createRecord
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

type*string
Value in"A" | "AAAA" | "CNAME" | "MX" | "TXT" | "NS" | "SRV" | "CAA" | "PTR"
name*string
Length1 <= length
content*string
Length1 <= length
ttl?integer
Range0 < value <= 9007199254740991
proxied?boolean
comment?string
Lengthlength <= 500
tags?array<string>
Itemsitems <= 20
dnsProviderId*string
Length1 <= length
zoneId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/dnsProvider.createRecord" \  -H "Content-Type: application/json" \  -d '{    "type": "A",    "name": "string",    "content": "string",    "dnsProviderId": "string",    "zoneId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider update Record

POST
/dnsProvider.updateRecord
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

type*string
Value in"A" | "AAAA" | "CNAME" | "MX" | "TXT" | "NS" | "SRV" | "CAA" | "PTR"
name*string
Length1 <= length
content*string
Length1 <= length
ttl?integer
Range0 < value <= 9007199254740991
proxied?boolean
comment?string
Lengthlength <= 500
tags?array<string>
Itemsitems <= 20
dnsProviderId*string
Length1 <= length
zoneId*string
Length1 <= length
recordId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/dnsProvider.updateRecord" \  -H "Content-Type: application/json" \  -d '{    "type": "A",    "name": "string",    "content": "string",    "dnsProviderId": "string",    "zoneId": "string",    "recordId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider export Zone

GET
/dnsProvider.exportZone
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Query Parameters

dnsProviderId*string
Length1 <= length
zoneId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/dnsProvider.exportZone?dnsProviderId=string&zoneId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider import Zone

POST
/dnsProvider.importZone
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

dnsProviderId*string
Length1 <= length
zoneId*string
Length1 <= length
content*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/dnsProvider.importZone" \  -H "Content-Type: application/json" \  -d '{    "dnsProviderId": "string",    "zoneId": "string",    "content": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Dns Provider delete Record

POST
/dnsProvider.deleteRecord
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

dnsProviderId*string
Length1 <= length
zoneId*string
Length1 <= length
recordId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/dnsProvider.deleteRecord" \  -H "Content-Type: application/json" \  -d '{    "dnsProviderId": "string",    "zoneId": "string",    "recordId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}